Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.cxf
Interface SOAPHeaderConstants

    public interface SOAPHeaderConstants

This interface contains some constants for the sessionIdentifier soap header.

Author:
  Dennis Kieselhorst

Field Summary
`static QName` | `EOI_IDENTIFIER_QNAME` The qualified name for the EOI.
`static String` | `EOI_QUALIFIED_NAME` The local part for the qualified name of the EOI.
`static QName` | `ESS_IDENTIFIER_QNAME` The qualified name for the ESS.
`static String` | `ESS_QUALIFIED_NAME` The local part for the qualified name of the ESS.
`static String` | `NAMESPACE_URI` This is the namespace URI which is used to assembly the qualified names.
`static QName` | `SESSION_IDENTIFIER_QNAME` The qualified name for the session.
`static String` | `SESSION_QUALIFIED_NAME` The local part for the qualified name of the session.
`static QName` | `TRACE_IDENTIFIER_QNAME` The qualified name for the trace ID.
`static String` | `TRACE_QUALIFIED_NAME` The local part for the qualified name of the trace ID.

Field Detail

### NAMESPACE_URI

    static final String NAMESPACE_URI

  This is the namespace URI which is used to assembly the qualified names.

  See Also:
    Constant Field Values

### SESSION_QUALIFIED_NAME

    static final String SESSION_QUALIFIED_NAME

  The local part for the qualified name of the session.

  See Also:
    Constant Field Values

### TRACE_QUALIFIED_NAME

    static final String TRACE_QUALIFIED_NAME

  The local part for the qualified name of the trace ID.

  See Also:
    Constant Field Values

### EOI_QUALIFIED_NAME

    static final String EOI_QUALIFIED_NAME

  The local part for the qualified name of the EOI.

  See Also:
    Constant Field Values

### ESS_QUALIFIED_NAME

    static final String ESS_QUALIFIED_NAME

  The local part for the qualified name of the ESS.

  See Also:
    Constant Field Values

### SESSION_IDENTIFIER_QNAME

    static final QName SESSION_IDENTIFIER_QNAME

  The qualified name for the session.

### TRACE_IDENTIFIER_QNAME

    static final QName TRACE_IDENTIFIER_QNAME

  The qualified name for the trace ID.

### EOI_IDENTIFIER_QNAME

    static final QName EOI_IDENTIFIER_QNAME

  The qualified name for the EOI.

### ESS_IDENTIFIER_QNAME

    static final QName ESS_IDENTIFIER_QNAME

  The qualified name for the ESS.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net